> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /payscale/schools

> Get the Payscale salary report for a school's alumni: pay percentiles (salary, total compensation, bonus, commission, hourly rate, profit sharing), pay by city, degree, employer, gender, job and years of experience, job satisfaction rating and related schools.

**Price:** 5 credits

**⚠️ Common errors:** 412: School not found (well-formed but nonexistent school slug)



## OpenAPI

````yaml /openapi/jobs.json post /api/payscale/schools
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/payscale/schools:
    post:
      tags:
        - /payscale
      summary: /payscale/schools
      description: >-
        Get the Payscale salary report for a school's alumni: pay percentiles
        (salary, total compensation, bonus, commission, hourly rate, profit
        sharing), pay by city, degree, employer, gender, job and years of
        experience, job satisfaction rating and related schools.


        **Price:** 5 credits


        **⚠️ Common errors:** 412: School not found (well-formed but nonexistent
        school slug)
      operationId: __api_payscale_schools_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayscaleSchoolsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PayscaleReport'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PayscaleSchoolsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        school:
          type: string
          minLength: 1
        country:
          $ref: '#/components/schemas/PayscaleCountry'
          default: US
        report_type:
          $ref: '#/components/schemas/PayscaleReportType'
          default: Salary
      type: object
      required:
        - school
    PayscaleReport:
      properties:
        '@type':
          type: string
          default: PayscaleReport
        category:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        report_type:
          anyOf:
            - type: string
            - type: 'null'
        currency_code:
          anyOf:
            - type: string
            - type: 'null'
        last_updated:
          anyOf:
            - type: string
            - type: 'null'
        multi_dimensional:
          anyOf:
            - type: boolean
            - type: 'null'
        refs:
          anyOf:
            - $ref: '#/components/schemas/PayscaleRefs'
            - type: 'null'
        narratives:
          anyOf:
            - $ref: '#/components/schemas/PayscaleNarratives'
            - type: 'null'
        compensation:
          anyOf:
            - $ref: '#/components/schemas/PayscaleCompensation'
            - type: 'null'
        by_dimension:
          additionalProperties:
            $ref: '#/components/schemas/PayscaleDimension'
          type: object
          default: {}
        ratings:
          items:
            $ref: '#/components/schemas/PayscaleRating'
          type: array
          default: []
        related:
          items:
            $ref: '#/components/schemas/PayscaleRelated'
          type: array
          default: []
        occupational_details:
          anyOf:
            - $ref: '#/components/schemas/PayscaleOccupationalDetails'
            - type: 'null'
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    PayscaleCountry:
      type: string
      enum:
        - US
        - CA
        - UK
        - AU
    PayscaleReportType:
      type: string
      enum:
        - Salary
        - HourlyRate
    PayscaleRefs:
      properties:
        '@type':
          type: string
          default: PayscaleRefs
        url:
          anyOf:
            - type: string
            - type: 'null'
        default_url:
          anyOf:
            - type: string
            - type: 'null'
        parent_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PayscaleNarratives:
      properties:
        '@type':
          type: string
          default: PayscaleNarratives
        summary_salary:
          anyOf:
            - type: string
            - type: 'null'
        summary_hourly:
          anyOf:
            - type: string
            - type: 'null'
        employer_pay:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PayscaleCompensation:
      properties:
        '@type':
          type: string
          default: PayscaleCompensation
        salary:
          anyOf:
            - $ref: '#/components/schemas/PayscaleCompensationBlock'
            - type: 'null'
        total:
          anyOf:
            - $ref: '#/components/schemas/PayscaleCompensationBlock'
            - type: 'null'
        bonus:
          anyOf:
            - $ref: '#/components/schemas/PayscaleCompensationBlock'
            - type: 'null'
        commission:
          anyOf:
            - $ref: '#/components/schemas/PayscaleCompensationBlock'
            - type: 'null'
        hourly_rate:
          anyOf:
            - $ref: '#/components/schemas/PayscaleCompensationBlock'
            - type: 'null'
        profit_sharing:
          anyOf:
            - $ref: '#/components/schemas/PayscaleCompensationBlock'
            - type: 'null'
      type: object
    PayscaleDimension:
      properties:
        '@type':
          type: string
          default: PayscaleDimension
        profile_count:
          anyOf:
            - type: integer
            - type: 'null'
        last_updated:
          anyOf:
            - type: string
            - type: 'null'
        rows:
          items:
            $ref: '#/components/schemas/PayscaleDimensionRow'
          type: array
          default: []
      type: object
    PayscaleRating:
      properties:
        '@type':
          type: string
          default: PayscaleRating
        name:
          anyOf:
            - type: string
            - type: 'null'
        score:
          anyOf:
            - type: number
            - type: 'null'
        profile_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    PayscaleRelated:
      properties:
        '@type':
          type: string
          default: PayscaleRelated
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        profile_count:
          anyOf:
            - type: integer
            - type: 'null'
        average:
          anyOf:
            - type: number
            - type: 'null'
        range:
          anyOf:
            - $ref: '#/components/schemas/PayscalePercentiles'
            - type: 'null'
      type: object
    PayscaleOccupationalDetails:
      properties:
        '@type':
          type: string
          default: PayscaleOccupationalDetails
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        occupational_category:
          anyOf:
            - type: string
            - type: 'null'
        skills:
          items:
            type: string
          type: array
          default: []
        sample_size:
          anyOf:
            - type: integer
            - type: 'null'
        estimated_salary:
          items:
            $ref: '#/components/schemas/PayscaleEstimatedSalary'
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    PayscaleCompensationBlock:
      properties:
        '@type':
          type: string
          default: PayscaleCompensationBlock
        p10:
          anyOf:
            - type: number
            - type: 'null'
        p25:
          anyOf:
            - type: number
            - type: 'null'
        p50:
          anyOf:
            - type: number
            - type: 'null'
        p75:
          anyOf:
            - type: number
            - type: 'null'
        p90:
          anyOf:
            - type: number
            - type: 'null'
        profile_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    PayscaleDimensionRow:
      properties:
        '@type':
          type: string
          default: PayscaleDimensionRow
        name:
          anyOf:
            - type: string
            - type: 'null'
        display_name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        profile_count:
          anyOf:
            - type: integer
            - type: 'null'
        range:
          anyOf:
            - $ref: '#/components/schemas/PayscalePercentiles'
            - type: 'null'
        is_estimated:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    PayscalePercentiles:
      properties:
        '@type':
          type: string
          default: PayscalePercentiles
        p10:
          anyOf:
            - type: number
            - type: 'null'
        p25:
          anyOf:
            - type: number
            - type: 'null'
        p50:
          anyOf:
            - type: number
            - type: 'null'
        p75:
          anyOf:
            - type: number
            - type: 'null'
        p90:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    PayscaleEstimatedSalary:
      properties:
        '@type':
          type: string
          default: PayscaleEstimatedSalary
        name:
          anyOf:
            - type: string
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: string
            - type: 'null'
        median:
          anyOf:
            - type: string
            - type: 'null'
        percentile10:
          anyOf:
            - type: string
            - type: 'null'
        percentile25:
          anyOf:
            - type: string
            - type: 'null'
        percentile75:
          anyOf:
            - type: string
            - type: 'null'
        percentile90:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````